### Property

# Gtk Image:gicon

since: 4.0

#### Declaration

    property gicon: Gio.Icon [ read, write ]

#### Description [src]

The `GIcon` displayed in the GtkImage.

For themed icons, If the icon theme is changed, the image will be updated automatically.

Type: | `GIcon`
Available since: | 4.0

Getter method | `gtk_image_get_gicon()`
Setter method | `gtk_image_set_from_gicon`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no